#pragma once
#include "Plugin.h"

namespace ffglqs
{

class Source : public Plugin
{
public:
	Source();
	~Source();

	template< typename PluginType >
	static PluginInstance createPlugin( ffgl::PluginInfo infos );
};

template< typename PluginType >
inline PluginInstance Source::createPlugin( ffgl::PluginInfo infos )
{
	return Plugin::createPlugin< PluginType >( infos, FF_SOURCE );
}

}// namespace ffglqs
